import textDecoration from "./textDecoration";
it("renders nothing", function () {
  expect(textDecoration({})).toBe(false);
});
it("decorates with underline", function () {
  expect(textDecoration({
    textDecoration: "underline"
  })).toBe("text-decoration: underline;");
});
it("decorates with none", function () {
  expect(textDecoration({
    textDecoration: "none"
  })).toBe("text-decoration: none;");
});
it("decorates with line-through", function () {
  expect(textDecoration({
    textDecoration: "line-through"
  })).toBe("text-decoration: line-through;");
});
it("doesnt decorate on invalid value", function () {
  expect(textDecoration({
    textDecoration: "funny-decoration"
  })).toBe(false);
});